unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, DateProp, Buttons;

type
  TForm1 = class(TForm)
    DateProp1: TDateProp;
    Edit1: TEdit;
    Button1: TButton;
    Button2: TButton;
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Edit1Exit(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormShow(Sender: TObject);
begin
  DateProp1.Today := True;
  Edit1.Text := FormatDateTime('dd/mm/yyyy', DateProp1.Date);
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  Data : TDateTime;

begin
  Data := DateProp1.NextMonth(DateProp1.Date);
  DateProp1.Date := Data;
  Edit1.Text := FOrmatDateTime('dd/mm/yyyy', DateProp1.Date);
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  Data : TDateTime;

begin
  Data := DateProp1.PreviousMonth(DateProp1.Date);
  DateProp1.Date := Data;
  Edit1.Text := FOrmatDateTime('dd/mm/yyyy', DateProp1.Date);
end;

procedure TForm1.Edit1Exit(Sender: TObject);
begin
  try
    DateProp1.Date := StrToDate(Edit1.Text);
  except
    Edit1.Text := FormatDateTime('dd/mm/yyyy', DateProp1.Date);
  end;
end;

procedure TForm1.FormKeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #13 then begin
     Key := #0;
     Form1.Perform(WM_NEXTDLGCTL, 0, 0);
  end;
end;

end.
